
use crate::backend_gilrs::SchemaGilrs;

#[test]
fn schema_set_player_id() {
    let mut schema = SchemaGilrs::<u64>::new("Testing");

    assert_eq!(schema.player_id(), None);
    schema.set_player_id(Some(5));
    assert_eq!(schema.player_id(), Some(5));
    schema.set_player_id(None);
    assert_eq!(schema.player_id(), None);
}

// unable to test assign_controller or assign_input due to Code being hidden and uninstantiable

// unable to test Event* since it's not instantiable from outside the gilrs crate
